# Uses of Interface
org.eclipse.draw2d.text.FlowContext

Packages that use FlowContext
Package
Description
org.eclipse.draw2d.text
Figures and support classes related to the layout and rendering of rich text.

## Uses of FlowContext in org.eclipse.draw2d.text

Classes in org.eclipse.draw2d.text that implement FlowContext
Modifier and Type
Class
Description
`class`
`BlockFlowLayout`
The layout for `BlockFlow` figures.
`class`
`FlowContainerLayout`
A layout for FlowFigures with children.
`class`
`InlineFlowLayout`
The layout manager for `InlineFlow` figures.
`class`
`PageFlowLayout`
A block layout which requires no FlowContext to perform its layout.
Methods in org.eclipse.draw2d.text that return FlowContext
Modifier and Type
Method
Description
`protected FlowContext`
FlowFigureLayout.`getContext()`
Returns this layout's context or `null`.
Methods in org.eclipse.draw2d.text with parameters of type FlowContext
Modifier and Type
Method
Description
`void`
FlowAdapter.`setFlowContext(FlowContext flowContext)`
`void`
FlowFigure.`setFlowContext(FlowContext flowContext)`
Sets the flow context.
`void`
FlowFigureLayout.`setFlowContext(FlowContext flowContext)`
Sets the context for this layout manager.
`protected final int`
FlowUtilities.`wrapFragmentInContext(TextFragmentBox frag, String string, FlowContext context, org.eclipse.draw2d.text.FlowUtilities.LookAhead lookahead, Font font, int wrapping)`
Sets up a fragment and returns the number of characters consumed from the given String.